
QGIS Application - Bug report #3603

r.colors has no effect on  GRASS rasters (after the merge of the rasters branch)

2011-03-13 12:47 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13662

Description

summary says it all.

History

#1 - 2011-03-13 01:05 PM - Giovanni Manghi

if you remove the raster from TOC and then add it again the new colormap will show ok. The refresh button has no effect. Not very handy.

#2 - 2011-04-06 01:46 AM - Paolo Cavallini

Furthermore, new layers will have a greyscale istead of appropriate color, as it happened before

#3 - 2011-04-17 08:18 AM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:d7d7caf4 (SVN r15750).

GRASS provider is now completely reloaded if source data have changed. That introduces another issue: everything set by user in layer properties dialog

is lost. There is no simple solution for this, keeping settings done by user could result in other problems, e.g. original data range was 1-100, color table was

changed by user but new data range is 100-200.

#4 - 2011-04-17 08:27 AM - Redmine Admin

Replying to [comment:2 pcav]:

Furthermore, new layers will have a greyscale istead of appropriate color, as it happened before

That is expected, if a data source does not have any color table assigned, QGIS is using grayscale by default, d.rast is using colors by default.

2025-04-27 1/1


